import { Holder } from '../../../../Class/Holder';
import { Unit } from '../../../../Class/Unit';
import { System } from '../../../../system';
import { UnitBundle } from '../../../../types/UnitBundle';
export interface I<T> {
    class: UnitBundle<any>;
    done: any;
}
export interface O<T> {
    unit: Unit<any, any>;
}
export default class New<T> extends Holder<I<T>, O<T>> {
    private _unit;
    constructor(system: System);
    f({ class: Class }: I<T>, done: any): void;
    d(): void;
}
